=== debian/control ===
Source: eiskaltdcpp
Section: net
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev,
 fakeroot, chrpath, pkg-config, cmake (>= 2.6.0),
 libqt4-dev (>=4.4.0), qt4-dev-tools (>=4.4.0), qt4-qtconfig (>=4.4.0),
 libgtk2.0-dev, libglade2-dev,
 libnotify-dev, liblua5.1-0-dev, libpcre3-dev, libboost-dev,
 libbz2-dev, zlib1g-dev, libssl-dev, libaspell-dev,
 libminiupnpc-dev, libidn11-dev, libattr1-dev
Homepage: http://code.google.com/p/eiskaltdc/
Vcs-Git: git://github.com/tehnick/eiskaltdcpp-debian.git
Vcs-Browser: https://github.com/tehnick/eiskaltdcpp-debian
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: eiskaltdcpp
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
 eiskaltdcpp-qt (>= ${binary:Version}) |
 eiskaltdcpp-gtk (>= ${binary:Version}),
 eiskaltdcpp-emoticons,
 eiskaltdcpp-scripts,
 eiskaltdcpp-sounds
Replaces: eiskaltdcpp-unstable
Conflicts: eiskaltdcpp-unstable
Description: EiskaltDC++ meta-package
 This package installs the most popular and recommended combination of
 EiskaltDC++ related packages.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-common
Architecture: all
Depends: ${misc:Depends}
Replaces: eiskaltdcpp-common-unstable
Conflicts: eiskaltdcpp-common-unstable
Breaks: eiskaltdcpp (<< 2.1.0)
Description: common files for EiskaltDC++
 This package contains the common files for the different EiskaltDC++ versions.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-emoticons
Architecture: all
Depends: ${misc:Depends}
Suggests: php5-cli
Replaces: eiskaltdcpp-emoticons-unstable
Conflicts: eiskaltdcpp-emoticons-unstable
Description: emoticons for EiskaltDC++
 This package contains the emoticon packs for EiskaltDC++.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-scripts
Architecture: all
Depends: ${misc:Depends}
Suggests: php5-cli
Replaces: eiskaltdcpp-scripts-unstable
Conflicts: eiskaltdcpp-scripts-unstable
Breaks: eiskaltdcpp (<< 2.1.0)
Description: scripts examples for EiskaltDC++
 This package contains the scripts examples for EiskaltDC++.
 It used by /sh and /alias chat commands (see man-page or /help in chat).
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-sounds
Architecture: all
Depends: ${misc:Depends}
Replaces: eiskaltdcpp-sounds-unstable
Conflicts: eiskaltdcpp-sounds-unstable
Description: sound files for EiskaltDC++
 This package contains the sound files for EiskaltDC++.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: libeiskaltdcpp2.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libeiskaltdcpp2.2-unstable
Conflicts: libeiskaltdcpp2.2-unstable
Description: DC++ kernel library from EiskaltDC++
 This package installs only DC++ kernel library which required EiskaltDC++.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: libeiskaltdcpp2.2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libeiskaltdcpp2.2 (= ${binary:Version})
Replaces: libeiskaltdcpp2.2-unstable-dbg
Conflicts: libeiskaltdcpp2.2-unstable-dbg
Description: DC++ kernel from EiskaltDC++ (debug symbols)
 This package contains the debugging symbols for EiskaltDC++ kernel library.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 eiskaltdcpp-qt-data (= ${source:Version}),
 eiskaltdcpp-common,
 libqt4-sql-sqlite
Recommends: libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml
Replaces: eiskaltdcpp (<< 2.1.0), eiskaltdcpp-qt-unstable
Conflicts: eiskaltdcpp-qt-unstable
Breaks: eiskaltdcpp (<< 2.1.0)
Description: EiskaltDC++ GUI on Qt
 This package installs only EiskaltDC++ with GUI based on Qt.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-qt-data
Architecture: all
Depends: ${misc:Depends}
Replaces: eiskaltdcpp-qt-data-unstable
Conflicts: eiskaltdcpp-qt-data-unstable
Breaks: eiskaltdcpp (<< 2.1.0)
Suggests: php5-cli,
 eiskaltdcpp-emoticons,
 eiskaltdcpp-scripts,
 eiskaltdcpp-sounds
Description: data files for EiskaltDC++ Qt
 This package contains the data files for EiskaltDC++ Qt.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-qt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 eiskaltdcpp-qt (= ${binary:Version}),
 libeiskaltdcpp2.2-dbg (= ${binary:Version})
Replaces: eiskaltdcpp-qt-unstable-dbg
Conflicts: eiskaltdcpp-qt-unstable-dbg
Description: EiskaltDC++ GUI on Qt (debug symbols)
 This package contains the debugging symbols for EiskaltDC++ Qt.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 eiskaltdcpp-gtk-data (= ${source:Version}),
 eiskaltdcpp-common
Replaces: eiskaltdcpp-gtk-unstable
Conflicts: eiskaltdcpp-gtk-unstable
Description: EiskaltDC++ GUI on Gtk
 This package installs only EiskaltDC++ with GUI based on Gtk
 (based on FreeDC++ and LinuxDC++).
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-gtk-data
Architecture: all
Depends: ${misc:Depends}
Replaces: eiskaltdcpp-gtk-data-unstable
Conflicts: eiskaltdcpp-gtk-data-unstable
Suggests: php5-cli,
 eiskaltdcpp-emoticons,
 eiskaltdcpp-scripts,
 eiskaltdcpp-sounds
Description: data files for EiskaltDC++ Gtk
 This package contains the data files for EiskaltDC++ Gtk.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-gtk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 eiskaltdcpp-gtk (= ${binary:Version}),
 libeiskaltdcpp2.2-dbg (= ${binary:Version})
Replaces: eiskaltdcpp-gtk-unstable-dbg
Conflicts: eiskaltdcpp-gtk-unstable-dbg
Description: EiskaltDC++ GUI on Gtk (debug symbols)
 This package contains the debugging symbols for EiskaltDC++ Gtk.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: eiskaltdcpp-daemon-unstable
Conflicts: eiskaltdcpp-daemon-unstable
Description: EiskaltDC++ daemon
 This package installs only EiskaltDC++ daemon (without any GUI).
 Support of control via JSON-RPC is enabled.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.

Package: eiskaltdcpp-daemon-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 eiskaltdcpp-daemon (= ${binary:Version}),
 libeiskaltdcpp2.2-dbg (= ${binary:Version})
Replaces: eiskaltdcpp-daemon-unstable-dbg
Conflicts: eiskaltdcpp-daemon-unstable-dbg
Description: EiskaltDC++ daemon (debug symbols)
 This package contains the debugging symbols for EiskaltDC++ daemon.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
 protocols. It is compatible with other DC clients, such as the original DC
 from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all
 common DC hub software.
